Bug 720040 (pugixml) - Review Request: pugixml - A light-weight C++ XML processing library
Summary: Review Request: pugixml - A light-weight C++ XML processing library
Keywords:
Status: CLOSED ERRATA
Alias: pugixml
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: OpenImageIO
TreeView+ depends on / blocked
 
Reported: 2011-07-08 19:56 UTC by Richard Shaw
Modified: 2014-05-20 18:30 UTC (History)
3 users (show)

Fixed In Version: pugixml-1.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-26 03:28:14 UTC
Type: ---
sanjay.ankur: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Richard Shaw 2011-07-08 19:56:39 UTC
Spec URL: http://hobbes1069.fedorapeople.org/pugixml/pugixml.spec
SRPM URL: http://hobbes1069.fedorapeople.org/pugixml/pugixml-1.0-1.fc14.src.rpm
Description: 
pugixml is a light-weight C++ XML processing library.
It features:
- DOM-like interface with rich traversal/modification capabilities
- Extremely fast non-validating XML parser which constructs the DOM tree from
  an XML file/buffer
- XPath 1.0 implementation for complex data-driven tree queries
- Full Unicode support with Unicode interface variants and automatic encoding
  conversions

The main reason for this package is a future review request for OpenImageIO which currently bundles pugixml.

Comment 1 Richard Shaw 2011-07-08 19:57:51 UTC
Forgot to mention. There are no rpmlint warnings or errors on the package files or the installed package.

Comment 2 Ankur Sinha (FranciscoD) 2011-07-13 18:00:19 UTC
I'm taking this one.

Comment 3 Ankur Sinha (FranciscoD) 2011-07-14 14:39:35 UTC
Review:

+ OK
- NA
? ISSUE

+ Package meets naming and packaging guidelines
+ Spec file matches base package name.
+ Spec has consistant macro usage.
+ Meets Packaging Guidelines.
+ License
+ License field in spec matches
+ License file included in package
+ Spec in American English
+ Spec is legible.
+ Sources match upstream md5sum:

[ankur@ankur rpmbuild]$ md5sum pugixml-1.0.tar.gz SOURCES/pugixml-1.0.tar.gz 
3c191771b942e805fe36d6a00b2655f8  pugixml-1.0.tar.gz
3c191771b942e805fe36d6a00b2655f8  SOURCES/pugixml-1.0.tar.gz

- Package needs ExcludeArch
+ BuildRequires correct
- Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
+ Package is code or permissible content.
- Doc subpackage needed/used.
+ Packages %doc files don't affect runtime.

+ Headers/static libs in -devel subpackage.
+ Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
+ .so files in -devel subpackage.
+ -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

- Package is a GUI app and has a .desktop file

+ Package compiles and builds on at least one arch.
+ Package has no duplicate files in %files.
+ Package doesn't own any directories other packages own.
+ Package owns all the directories it creates.
+ No rpmlint output.
[ankur@ankur SRPMS]$ rpmlint pugixml-1.0-1.fc14.src.rpm ../SRPMS/pugixml-1.0-1.fc14.src.rpm /var/lib/mock/fedora-rawhide-i386/result/*.rpm
6 packages and 0 specfiles checked; 0 errors, 0 warnings.


+- final provides and requires are sane:
[ankur@ankur result]$ review-req-check
== pugixml-1.0-1.fc16.i686.rpm ==
Provides:
libpugixml.so.1.0
pugixml = 1.0-1.fc16
pugixml(x86-32) = 1.0-1.fc16

Requires:
/sbin/ldconfig
/sbin/ldconfig
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.11)
libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4)
libgcc_s.so.1
libgcc_s.so.1(GCC_3.0)
libm.so.6
libm.so.6(GLIBC_2.0)
libm.so.6(GLIBC_2.1)
libstdc++.so.6
libstdc++.so.6(CXXABI_1.3)
libstdc++.so.6(GLIBCXX_3.4)
rtld(GNU_HASH)

== pugixml-1.0-1.fc16.src.rpm ==
Provides:

Requires:
cmake

== pugixml-debuginfo-1.0-1.fc16.i686.rpm ==
Provides:
pugixml-debuginfo = 1.0-1.fc16
pugixml-debuginfo(x86-32) = 1.0-1.fc16

Requires:

== pugixml-devel-1.0-1.fc16.i686.rpm ==
Provides:
pugixml-devel = 1.0-1.fc16
pugixml-devel(x86-32) = 1.0-1.fc16

Requires:
libpugixml.so.1.0
pugixml = 1.0-1.fc16




SHOULD Items:

+ Should build in mock.
+ Should build on all supported archs
+ Should function as described.
+ Should have sane scriptlets.
+ Should have subpackages require base package with fully versioned depend.
+ Should have dist tag
+ Should package latest version
- check for outstanding bugs on package. (For core merge reviews)

Issues:

1. defattr is no longer needed, you can remove it :)

Thank you for an *excellent* package! 

XXX APPROVED XXX

Comment 4 Richard Shaw 2011-07-14 18:27:52 UTC
New Package SCM Request
=======================
Package Name: pugixml
Short Description: A light-weight C++ XML processing library
Owners: hobbes1069
Branches: f14 f15
InitialCC:

Comment 5 Gwyn Ciesla 2011-07-14 23:39:07 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-07-15 01:15:36 UTC
pugixml-1.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pugixml-1.0-1.fc14

Comment 7 Fedora Update System 2011-07-15 01:15:51 UTC
pugixml-1.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pugixml-1.0-1.fc15

Comment 8 Fedora Update System 2011-07-16 07:26:16 UTC
pugixml-1.0-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 9 Fedora Update System 2011-07-26 03:28:09 UTC
pugixml-1.0-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 10 Fedora Update System 2011-07-26 03:42:48 UTC
pugixml-1.0-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 11 Richard Shaw 2012-04-25 14:51:02 UTC
Package Change Request
======================
Package Name: pugixml
New Branches: el6
Owners: hobbes1069
InitialCC:

Comment 12 Gwyn Ciesla 2012-04-25 14:52:18 UTC
Git done (by process-git-requests).

Comment 13 Richard Shaw 2014-05-20 16:43:43 UTC
Package Change Request
======================
Package Name: pugixml
New Branches: epel7
Owners: hobbes1069
InitialCC:

Comment 14 Gwyn Ciesla 2014-05-20 18:30:53 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.